View Issue Details

IDProjectCategoryView StatusLast Update
0002610Ham Radio DeluxeBugpublic2018-04-09 14:37
ReporterK7ZCZ 
Assigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version6.4.0.806 
Summary0002610: Rig Control: TS-590SG can't set ALC speed
Description
The ALC drop down doesn't quite work when connected to a Kenwood TS-590SG. The Setting can be changed to "Off", but once that happens the user can't set to "Slow" or or "Fast". Changing between "Slow" and "Fast" works, until "Off" is chosen.
Steps To Reproduce1) Set your TS-590SG to AGC = Fast
2) Fire up Rig Control
3) Connect to your TS-590SG to Rig Control
4) Use the "AGC" drop down to choose "Slow". It works
5) Use the "AGC" drop down to choose "Fast". It works
6) Use the "AGC" drop down to choose "Off". That works, too
7) Use the "AGC" drop down to choose "Fast" again. It doesn't work.
8) Use the "AGC" drop down to choose "Slow" again. It doesn't work.
9) Press the AGC control on the radio itself to get back to "Slow". Rig Control correctly updates.
10) Use the "AGC" drop down to choose "Slow". It works again
11) Use the "AGC" drop down to choose "Fast". It works again
12) Use the "AGC" drop down to choose "Off". Broken again.


TagsNo tags attached.
ModuleRig Control
Sub-ModuleRadio Support
Testing Beta Successful

Relationships

related to 0001906 closedK7ZCZ TS-590S Buttons mislabled or not working 

Activities

K7ZCZ

2018-03-23 11:08

manager   ~0004539

Fixed with this checkin:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/3989

WA9PIE

2018-04-06 10:24

administrator   ~0004718

These were built and tested by K7ZCZ.

Issue History

Date Modified Username Field Change
2018-03-20 09:12 K7ZCZ New Issue
2018-03-20 10:55 K7ZCZ Status new => assigned
2018-03-20 10:55 K7ZCZ Assigned To => K7ZCZ
2018-03-23 11:08 K7ZCZ Status assigned => resolved
2018-03-23 11:08 K7ZCZ Resolution open => fixed
2018-03-23 11:08 K7ZCZ Note Added: 0004539
2018-03-25 12:27 K7ZCZ Relationship added related to 0001906
2018-04-02 10:39 K7ZCZ Fixed in Version => 6.4.0.798
2018-04-06 10:24 WA9PIE Note Added: 0004718
2018-04-06 10:24 WA9PIE Status resolved => closed
2018-04-06 10:24 WA9PIE Testing Not Started => Beta Successful
2018-04-07 19:23 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2018-04-07 19:25 WA9PIE Fixed in Version 6.4.0.798 => 6.4.0.805
2018-04-09 14:37 WA9PIE Fixed in Version 6.4.0.805 => 6.4.0.806